# nauty

[Nauty and Traces](https://pallini.di.uniroma1.it/) are programs for computing
automorphism groups of graphs and digraphs.  (At present, Traces does not
accept digraphs.)  They can also produce a canonical label.  They are written
in a portable subset of C, and run on a considerable number of different
systems.

There is a small suite of programs called gtools included in the package.  For
example, geng can generate non-isomorphic graphs very quickly.  There are also
generators for bipartite graphs, digraphs, and multigraphs, and programs for
manipulating files of graphs in a compact format.
